<div>
  <span *ngIf="!formVisible" (click)="showForm()">
    <ng-container *ngIf="value">
      {{value}}
    </ng-container>
    <ng-container *ngIf="!value">
      <i class="placeholder">Click to edit</i>
    </ng-container>
  </span>
  <input *ngIf="formVisible" type="text"
         (keyup)="onKeyEvent($event)" [(ngModel)]="value"/>
</div>
